package com.huigou.topsun.sap.acceptanceFormAck.application;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.huigou.topsun.sap.acceptanceFormAck.domain.SapAcceptanceFormAck;
import com.huigou.util.SDO;

import java.util.ArrayList;
import java.util.Map;


/**
@author YourUserName
*/
public interface SapAcceptanceFormAckApplication  {

    ArrayList<Map<String, Object>> findAcceptanceForm(SDO sdo);

    String queryAcceptanceForms(SapAcceptanceFormAck acceptanceForm) throws JsonProcessingException;

    String ackAcceptanceForm(SDO sdo);
}
